## Process this file with automake to produce Makefile.in
##
## $Id$
##
##
## Author:  Alban Deniz
##
## Copyright (C) 2008 by MicroNeil Corporation. All rights reserved.
##

CXXFLAGS = $(SNF_CXXFLAGS) -I@top_srcdir@/SNFMulti -I@top_srcdir@/CodeDweller

noinst_LIBRARIES = 					\
	libSNFMulti.a

libSNFMulti_a_SOURCES =        			 	\
	@top_srcdir@/SNFMulti/FilterChain.cpp		\
	@top_srcdir@/SNFMulti/GBUdb.cpp			\
	@top_srcdir@/SNFMulti/mangler.cpp		\
	@top_srcdir@/SNFMulti/scanner.cpp		\
	@top_srcdir@/SNFMulti/snfCFGmgr.cpp		\
	@top_srcdir@/SNFMulti/snf_engine.cpp		\
	@top_srcdir@/SNFMulti/snfGBUdbmgr.cpp		\
	@top_srcdir@/SNFMulti/snf_HeaderFinder.cpp	\
	@top_srcdir@/SNFMulti/snfLOGmgr.cpp		\
	@top_srcdir@/SNFMulti/SNFMulti.cpp		\
	@top_srcdir@/SNFMulti/snfNETmgr.cpp		\
	@top_srcdir@/SNFMulti/snf_sync.cpp		\
	@top_srcdir@/SNFMulti/snf_xci.cpp		\
	@top_srcdir@/SNFMulti/snfXCImgr.cpp		\
	@top_srcdir@/SNFMulti/tcp_watchdog.cpp

noinst_HEADERS =                    				\
	@top_srcdir@/SNFMulti/FilterChain.hpp			\
	@top_srcdir@/SNFMulti/GBUdb.hpp				\
	@top_srcdir@/SNFMulti/GBUdb.inline.hpp			\
	@top_srcdir@/SNFMulti/mangler.hpp			\
	@top_srcdir@/SNFMulti/scanner.hpp			\
	@top_srcdir@/SNFMulti/snfCFGmgr.hpp			\
	@top_srcdir@/SNFMulti/snfCFGmgr.inline.hpp		\
	@top_srcdir@/SNFMulti/snf_engine.hpp			\
	@top_srcdir@/SNFMulti/snfGBUdbmgr.hpp			\
	@top_srcdir@/SNFMulti/snf_HeaderFinder.hpp		\
	@top_srcdir@/SNFMulti/snf_HeaderFinder.inline.hpp	\
	@top_srcdir@/SNFMulti/snfLOGmgr.hpp			\
	@top_srcdir@/SNFMulti/snfLOGmgr.inline.hpp		\
	@top_srcdir@/SNFMulti/SNFMulti.hpp			\
	@top_srcdir@/SNFMulti/snfNETmgr.hpp			\
	@top_srcdir@/SNFMulti/snf_sync.hpp			\
	@top_srcdir@/SNFMulti/snf_xci.hpp			\
	@top_srcdir@/SNFMulti/snfXCImgr.hpp			\
	@top_srcdir@/SNFMulti/tcp_watchdog.hpp			\
	@top_srcdir@/SNFMulti/snf_match.h

clean-local:
	rm -f *.gcno *.gcov *.gcda *~
